Why you need to update your iPhone

Sep 21, 2016 | 10:17 am

Published by | Chandan Singh

If you use the iphone, there’s something you need to know.

IPhone users are getting another alert for Apple’s latest version of the mobile operating system. Yet cybersecurity experts are recommending consumers not to disregard this update, which repairs an unprecedented type of security flaw.

Who’s suitable

Owners of iPhone 4 s and later, iPad 2 and later, iPod touch (5th generation) sometime later it was can get this upgrade, according to Apple’s support website. You should be automatically notified that it can be available, or you can upgrade manually using iTunes.

So why it matters

Apple released iOS 9. 3. 5 to patch three security vulnerabilities, thought to have been employed by “digital arms dealers” to monitor dissidents and journalists, based on the New York Times. Apple’s patch targets previously unfamiliar spyware that infiltrated apple iphones and can read communications, track calls and connections, record sounds, acquire security passwords and location information, researchers told the Times.

The discovery of the hack into is chilling in itself. But you may be wondering what users really need to know is how to be sure they have the latest, safest version on the iPhones.